## oggdemux

oggdemux — demux ogg streams (info about ogg: http://xiph.org)

## Synopsis

                        GstOggDemux;

## Object Hierarchy

      GObject
       +----GstObject
             +----GstElement
                   +----GstOggDemux

## Description

This element demuxes ogg files into their encoded audio and video components.

### Example pipelines

    1

    gst-launch -v filesrc location=test.ogg ! oggdemux ! vorbisdec ! audioconvert ! alsasink

Decodes the vorbis audio stored inside an ogg container.

Last reviewed on 2006-12-30 (0.10.5)

## Details

### GstOggDemux

    typedef struct _GstOggDemux GstOggDemux;

The ogg demuxer object structure.

## See Also

oggmux